View Issue Details

IDProjectCategoryView StatusLast Update
0005171Talerdeployment and operationspublic2018-04-15 20:34
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.4 
Target Version0.5Fixed in Version0.5 
Summary0005171: Buildbot should abort whenever a 'step' fails.
DescriptionRight now, if a build has n steps and step n - j fails, the builder goes on executing the remaining steps until the n-th.

The right behaviour should be to *stop* the builder upon the failing step.
Additional InformationThis behaviour has been observed at the switcher-builder.
TagsNo tags attached.

Activities

Florian Dold

2017-12-12 16:46

manager   ~0012668

This has been resolved with the haltOnFailure attribute for build steps.

Issue History

Date Modified Username Field Change
2017-11-04 11:11 Marcello Stanisci New Issue
2017-12-12 16:46 Florian Dold Product Version => 0.4
2017-12-12 16:46 Florian Dold Target Version => 0.5
2017-12-12 16:46 Florian Dold Assigned To => Florian Dold
2017-12-12 16:46 Florian Dold Status new => resolved
2017-12-12 16:46 Florian Dold Resolution open => fixed
2017-12-12 16:46 Florian Dold Note Added: 0012668
2017-12-14 15:39 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed